Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.java4less.rchart
Class FillStyle2D

    java.lang.Object
      |
      +--com.java4less.rchart.FillStyle
            |
            +--com.java4less.rchart.FillStyle2D

public class FillStyle2D
extends FillStyle

This class fills an area, it can be used for java 1.2 or later, and support fill patterns and transparency.
The following code creates the fillings for the columns:
BarDataSerie data1= new BarDataSerie(d1,new FillStyle2D(java.awt.Color.blue));
BarDataSerie data2= new BarDataSerie(d2,new FillStyle2D(java.awt.Color.red));

Field Summary
`float` | `alphaValue` clear (0), transparency (0.5), opaque (1).
`java.lang.Object` | `fillPatern` fill pattern

Fields inherited from class com.java4less.rchart.FillStyle
`colorFrom, colorUntil, GRADIENT_HORIZONTAL, GRADIENT_VERTICAL, gradientCyclic, gradientType, NO_GRADIENT`

Constructor Summary
`FillStyle2D(com.java4less.rchart.gc.ChartColor c, float f)` Creates a fill style for the color c and transparency alpha f.

Method Summary
`void` | `draw(com.java4less.rchart.gc.ChartGraphics g, int x1, int y1, int x2, int y2)` fills a rectangle.
`void` | `drawArc(com.java4less.rchart.gc.ChartGraphics g, int x, int y, int w, int h, int a1, int a2)` fills an arc.
`void` | `drawPolygon(com.java4less.rchart.gc.ChartGraphics g, int[] x1, int[] y1, int num)`

Methods inherited from class com.java4less.rchart.FillStyle
`getColor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fillPatern

    public java.lang.Object fillPatern

  fill pattern

### alphaValue

    public float alphaValue

  clear (0), transparency (0.5), opaque (1).

Constructor Detail

### FillStyle2D

    public FillStyle2D(com.java4less.rchart.gc.ChartColor c,
                       float f)

  Creates a fill style for the color c and transparency alpha f.

Method Detail

### drawArc

    public void drawArc(com.java4less.rchart.gc.ChartGraphics g,
                        int x,
                        int y,
                        int w,
                        int h,
                        int a1,
                        int a2)

  fills an arc.

  Overrides:
    `drawArc` in class `FillStyle`

### drawPolygon

    public void drawPolygon(com.java4less.rchart.gc.ChartGraphics g,
                            int[] x1,
                            int[] y1,
                            int num)

  Overrides:
    `drawPolygon` in class `FillStyle`

### draw

    public void draw(com.java4less.rchart.gc.ChartGraphics g,
                     int x1,
                     int y1,
                     int x2,
                     int y2)

  fills a rectangle.

  Overrides:
    `draw` in class `FillStyle`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD